Vivi: No, the optional files isn't included. You can find the cheatsheet in the plugins folder as mentioned, rdr2modman manager has it in the settings somewhere.

This used to be ported by Slush, but doing it via thunderstore and activating the mod that way bricked it probably due to the way its been packaged. 

By the way, for some rune combinations to activate there needs to be enemies around, presumbly due to its homing functions. And yes, this works for Definitive Edition.

-------------
Let's face it, rune magic is cool. Stringing together words of power to release the latent power within them is an awesome idea. The existing rune spells were nice, but I always felt like they were lacking something. I present to you that missing something...

MORE

More spells. More versatility. More POWER.

Without over-complicating the system, I've managed to stuff in new and unique combat spells, and a suite of new buffs to kit yourself out with. Starting out, you'll find that your repertoire has been upgraded even before you invest deeply into the Rune Sage skill tree. At base, you will have access to 2 offensive spells, some buffs/effects you are familiar with, and one that's brand new. However, the real magic begins when you pick up Arcane Syntax.

In addition to unlocking a new combo for offensive spells, Arcane Syntax unlocks the ability for you attune yourself to one of the elements. You do this by casting any of the runes twice (Eg. Shim + Shim). Doing this wildly alters how all of the new spells operate. Your offensive spells will match the element you are attuned to and behave in a different manner than before. The combinations remain the same across each elemental scheme and fill the same general purpose as others do of the same combination.

This puts us at over 20 new spells. With 15 of which being offensive, spellcasters will have new options in combat never before afforded to them. But it doesn't stop there.

Runic Prefix works differently with these new spells. Instead of passively buffing your spells, it unlocks a new tier of Rune Magic. All of your offensive spells can now be cast with another rune in front of the combination you already cast, a prefix if you will. In exchange for the extra mana and time spent in casting, you dish out a more powerful effect. This is different for every spell. Some simply get more powerful, some will now inflict a debuff, but all of them will be significantly more powerful to make up for the cost.

A drawback that you will find when dealing with such a wide array of spells however, is that you will require more precision in your castings. Some spells may not function if you have recently chanted words not related to its own combination. As such, if you cast the wrong rune in a panic, you will either have to wait for it to fade away or adapt to the situation and cast a different spell using that rune.

TL;DR

-Tons of new magical effects
-Elemental attunement system: Attune via 2 of the same rune, clear attunement with Fal + Dez
-Runic Prefix now relies on casting a prefix
-Due to complications, some combinations may not work if you have unrelated runes affecting you. Cast carefully!
-﻿POWER!

Installation

This mods requires SideLoader. Even if you have it already, I highly suggest you check that you have the latest version.

Once you have that sorted, place the UnlimitedRuneWorks.zip you downloaded into your main Outward directory, select 'Extract Here' and you're all set.

Optional Files

-A version of Jinx that will always apply the debuff related to your current elemental attunement. This function is additive, so it should be compatible with any modifications to the base spell.

Final Note/Spoiler

I've written this with the intent of not spoiling the new combinations, as I know half the fun of this type of magic is figuring that out for yourself. However, not everyone is interested in that aspect of it. For those individuals, I have included a cheat sheet. You'll find a .txt containing the runic combinations in BepInEx->Plugins->UnlimitedRuneWorks.

I went out of my way to make all of this without any coding in C#. I wanted to show off how robust SideLoader is as a tool for Outward, and that with just a little effort and no real knowledge of coding anyone can make something fun and interesting. I love this game, and hope that you find this as a welcome addition to your adventures in Aurai.

I appreciate any feedback you have to offer. I make no promises as to how balanced all of the spells are, but tried to tune them around existing numbers. I will update this mod with bug fixes and balance changes as necessary.

Known Issues

-Some spells (namely Decay spells) require an enemy within range to do anything. If you cast a spell and it consumes your runes but seems to do nothing, you may not be close enough to a target.

-Some effects fail to show the first time you cast a spell after loading the game. This is most prevalent in the Ice and Decay AOE spells.

Moving Forward

-Fix a few unsatisfactory spells, notably the Decay Aura spell.
-Make Internalized Lexicon a worthwhile choice.

Changelog

1.1.1:
-Tweaked some numbers
-Fixed empowered Light AOE
-Ice spells now apply debuffs as intended
-All of the self-buff spells have have their duration increased.
-Update to the Decay buff.  Still a WIP.

1.1:
-Tweaked some numbers
-Revamped an Ice spell
-Brought back Runic Lantern! Cast using the familiar combination while not having any attuments up.

1.0.1: Fixed interaction with Shamanic Resonance

1.0: Initial Release
